import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.webhooks.events.replay({
eventId: 'msg_1srOrx2ZWZBpBUvZwXKQmoEYga2',
webhookId: '4dd369bc-aa82-4ff3-97de-514ae3000ee0',
});
$resend = Resend::client('re_xxxxxxxxx');
$event = $resend->webhooks->events->replay(
'4dd369bc-aa82-4ff3-97de-514ae3000ee0',
'msg_1srOrx2ZWZBpBUvZwXKQmoEYga2'
);
import resend
resend.api_key = 're_xxxxxxxxx'
replayed = resend.Webhooks.replay_event(
webhook_id='4dd369bc-aa82-4ff3-97de-514ae3000ee0',
event_id='msg_1srOrx2ZWZBpBUvZwXKQmoEYga2',
)
require 'resend'
Resend.api_key = 're_xxxxxxxxx'
replayed = Resend::Webhooks.replay_event(
'4dd369bc-aa82-4ff3-97de-514ae3000ee0',
'msg_1srOrx2ZWZBpBUvZwXKQmoEYga2'
)
package main
import "github.com/resend/resend-go/v4"
func main() {
client := resend.NewClient("re_xxxxxxxxx")
client.Webhooks.ReplayEvent(
"4dd369bc-aa82-4ff3-97de-514ae3000ee0",
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2",
)
}
use resend_rs::{Resend, Result};
#[tokio::main]
async fn main() -> Result<()> {
let resend = Resend::new("re_xxxxxxxxx");
let _replayed = resend
.webhooks
.replay_event(
"4dd369bc-aa82-4ff3-97de-514ae3000ee0",
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2",
)
.await?;
Ok(())
}
import com.resend.*;
import com.resend.core.exception.ResendException;
import com.resend.services.webhooks.model.ReplayWebhookEventResponseSuccess;
public class Main {
public static void main(String[] args) throws ResendException {
Resend resend = new Resend("re_xxxxxxxxx");
ReplayWebhookEventResponseSuccess replayed = resend.webhooks().replayEvent(
"4dd369bc-aa82-4ff3-97de-514ae3000ee0",
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
);
}
}
using Resend;
IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DI
var resp = await resend.WebhookEventReplayAsync(
new Guid( "4dd369bc-aa82-4ff3-97de-514ae3000ee0" ),
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
);
curl -X POST 'https://api.resend.com/webhooks/4dd369bc-aa82-4ff3-97de-514ae3000ee0/events/msg_1srOrx2ZWZBpBUvZwXKQmoEYga2/replay' \
-H 'Authorization: Bearer re_xxxxxxxxx'
{
"object": "webhook_event",
"id": "msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
}
Replay Event
Queue an additional delivery attempt for a webhook event.
POST
/
webhooks
/
:webhook_id
/
events
/
:event_id
/
replay
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.webhooks.events.replay({
eventId: 'msg_1srOrx2ZWZBpBUvZwXKQmoEYga2',
webhookId: '4dd369bc-aa82-4ff3-97de-514ae3000ee0',
});
$resend = Resend::client('re_xxxxxxxxx');
$event = $resend->webhooks->events->replay(
'4dd369bc-aa82-4ff3-97de-514ae3000ee0',
'msg_1srOrx2ZWZBpBUvZwXKQmoEYga2'
);
import resend
resend.api_key = 're_xxxxxxxxx'
replayed = resend.Webhooks.replay_event(
webhook_id='4dd369bc-aa82-4ff3-97de-514ae3000ee0',
event_id='msg_1srOrx2ZWZBpBUvZwXKQmoEYga2',
)
require 'resend'
Resend.api_key = 're_xxxxxxxxx'
replayed = Resend::Webhooks.replay_event(
'4dd369bc-aa82-4ff3-97de-514ae3000ee0',
'msg_1srOrx2ZWZBpBUvZwXKQmoEYga2'
)
package main
import "github.com/resend/resend-go/v4"
func main() {
client := resend.NewClient("re_xxxxxxxxx")
client.Webhooks.ReplayEvent(
"4dd369bc-aa82-4ff3-97de-514ae3000ee0",
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2",
)
}
use resend_rs::{Resend, Result};
#[tokio::main]
async fn main() -> Result<()> {
let resend = Resend::new("re_xxxxxxxxx");
let _replayed = resend
.webhooks
.replay_event(
"4dd369bc-aa82-4ff3-97de-514ae3000ee0",
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2",
)
.await?;
Ok(())
}
import com.resend.*;
import com.resend.core.exception.ResendException;
import com.resend.services.webhooks.model.ReplayWebhookEventResponseSuccess;
public class Main {
public static void main(String[] args) throws ResendException {
Resend resend = new Resend("re_xxxxxxxxx");
ReplayWebhookEventResponseSuccess replayed = resend.webhooks().replayEvent(
"4dd369bc-aa82-4ff3-97de-514ae3000ee0",
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
);
}
}
using Resend;
IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DI
var resp = await resend.WebhookEventReplayAsync(
new Guid( "4dd369bc-aa82-4ff3-97de-514ae3000ee0" ),
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
);
curl -X POST 'https://api.resend.com/webhooks/4dd369bc-aa82-4ff3-97de-514ae3000ee0/events/msg_1srOrx2ZWZBpBUvZwXKQmoEYga2/replay' \
-H 'Authorization: Bearer re_xxxxxxxxx'
{
"object": "webhook_event",
"id": "msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
}
Replaying an event queues one additional delivery immediately. It’s the same
action as the dashboard’s Replay
button and does not affect the
automatic retry schedule
already running for that event.
Path Parameters
Response Fields
string
Always
webhook_event.string
The event ID.
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.webhooks.events.replay({
eventId: 'msg_1srOrx2ZWZBpBUvZwXKQmoEYga2',
webhookId: '4dd369bc-aa82-4ff3-97de-514ae3000ee0',
});
$resend = Resend::client('re_xxxxxxxxx');
$event = $resend->webhooks->events->replay(
'4dd369bc-aa82-4ff3-97de-514ae3000ee0',
'msg_1srOrx2ZWZBpBUvZwXKQmoEYga2'
);
import resend
resend.api_key = 're_xxxxxxxxx'
replayed = resend.Webhooks.replay_event(
webhook_id='4dd369bc-aa82-4ff3-97de-514ae3000ee0',
event_id='msg_1srOrx2ZWZBpBUvZwXKQmoEYga2',
)
require 'resend'
Resend.api_key = 're_xxxxxxxxx'
replayed = Resend::Webhooks.replay_event(
'4dd369bc-aa82-4ff3-97de-514ae3000ee0',
'msg_1srOrx2ZWZBpBUvZwXKQmoEYga2'
)
package main
import "github.com/resend/resend-go/v4"
func main() {
client := resend.NewClient("re_xxxxxxxxx")
client.Webhooks.ReplayEvent(
"4dd369bc-aa82-4ff3-97de-514ae3000ee0",
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2",
)
}
use resend_rs::{Resend, Result};
#[tokio::main]
async fn main() -> Result<()> {
let resend = Resend::new("re_xxxxxxxxx");
let _replayed = resend
.webhooks
.replay_event(
"4dd369bc-aa82-4ff3-97de-514ae3000ee0",
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2",
)
.await?;
Ok(())
}
import com.resend.*;
import com.resend.core.exception.ResendException;
import com.resend.services.webhooks.model.ReplayWebhookEventResponseSuccess;
public class Main {
public static void main(String[] args) throws ResendException {
Resend resend = new Resend("re_xxxxxxxxx");
ReplayWebhookEventResponseSuccess replayed = resend.webhooks().replayEvent(
"4dd369bc-aa82-4ff3-97de-514ae3000ee0",
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
);
}
}
using Resend;
IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DI
var resp = await resend.WebhookEventReplayAsync(
new Guid( "4dd369bc-aa82-4ff3-97de-514ae3000ee0" ),
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
);
curl -X POST 'https://api.resend.com/webhooks/4dd369bc-aa82-4ff3-97de-514ae3000ee0/events/msg_1srOrx2ZWZBpBUvZwXKQmoEYga2/replay' \
-H 'Authorization: Bearer re_xxxxxxxxx'
{
"object": "webhook_event",
"id": "msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
}
Was this page helpful?
⌘I